# Generated automatically from Makefile.in by configure.
# MakeFile for QuakeTools

test: @top_srcdir@/bin/ppmdiff @top_srcdir@/bin/qtools testquality

dithers = 016 032
# 064 128 256
smooths = 001 002
# 004 008 016

testquality: test.ppm
	@top_srcdir@/bin/qtools test.ppm -o test-nothing.ppm;
	@top_srcdir@/bin/ppmdiff test.ppm test-nothing.ppm -o test-nothing.diff >psnr;
	/c/filenote test-nothing.diff "`/c/type psnr`";
	for i in $(dithers); do \
	  @top_srcdir@/bin/qtools -dither $$i test.ppm -o test-dither$$i.ppm; \
	  @top_srcdir@/bin/ppmdiff test.ppm test-dither$$i.ppm -o test-dither$$i.diff >psnr; \
	  /c/filenote test-dither$$i.diff "`/c/type psnr`"; \
	done;
	for i in $(smooths); do \
	  @top_srcdir@/bin/qtools -smooth $$i test.ppm -o test-smooth$$i.ppm; \
	  @top_srcdir@/bin/ppmdiff test.ppm test-smooth$$i.ppm -o test-smooth$$i.diff >psnr; \
	  /c/filenote test-smooth$$i.diff "`/c/type psnr`"; \
	done;
	for i in $(dithers); do \
	  for j in $(smooths); do \
	    @top_srcdir@/bin/qtools -dither $$i -smooth $$j test.ppm -o test-d$$i.s$$j.ppm; \
	    @top_srcdir@/bin/ppmdiff test.ppm test-d$$i.s$$j.ppm -o test-d$$i.s$$j.diff >psnr; \
	  /c/filenote test-d$$i.s$$j.diff "`/c/type psnr`"; \
	  done; \
	done;
	rm -f psnr;

testcoverage: @top_srcdir@/bin/qtoolsV @top_srcdir@/bin/qbspV @top_srcdir@/bin/lightV @top_srcdir@/bin/visV
# test ppmTOpng if available
	@top_srcdir@/bin/qtoolsV test.ppm -o test-coverage.png
# test ppmTOjpg if available
#	@top_srcdir@/bin/qtoolsV test.ppm -o test-coverage.jpg
# test mapTObsp conversion
#	@top_srcdir@/bin/qbspV test.map test.bsp >test.rep
#	@top_srcdir@/bin/qtoolsV test.map -o test.bsp
# test mapTOiob conversion
#	@top_srcdir@/bin/qtoolsV test.map -o test.iob
# test bspTOmap conversion
#	@top_srcdir@/bin/qtoolsV x test.bsp
# test bspTOiob conversion
#	@top_srcdir@/bin/qtoolsV x test.bsp -o test.iob
# test iobTObsp conversion
#	@top_srcdir@/bin/qtoolsV test.iob -o test.bsp
# test iobTOmap conversion
#	@top_srcdir@/bin/qtoolsV test.iob -o test.map
# test light
#	@top_srcdir@/bin/lightV -extra test.bsp >>test.rep
#	@top_srcdir@/bin/qtoolsV -extra a test.bsp >>test.rep
# test vis
#	@top_srcdir@/bin/visV -level 4 test.bsp >>test.rep
#	@top_srcdir@/bin/qtoolsV -level 4 a test.bsp >>test.rep
# test datTOsrc conversion
#	mkdir test.dir
#	@top_srcdir@/bin/unqcc -src test.dir test.dat
#	@top_srcdir@/bin/qtoolsV x test.dat
# test srcTOdat conversion
#	@top_srcdir@/bin/qcc test.dir/progs.src
#	@top_srcdir@/bin/qtoolsV a test.dir/progs.src
# test ppmTOwad conversion
#	@top_srcdir@/bin/qtoolsV test.ppm -o test.wad
# test wadTO? conversion
#	@top_srcdir@/bin/qtoolsV test.wad -o test.mip test.jpg test.png

cleanprofile:
	rm -f gmon.out
clean cleanall: cleanprofile
	rm -fR *.png *.jpg *.wad *.dir *.iob test-*.* *.diff *.bsp *.h1 *.h2 *.prt *.pts

distclean: clean
	rm -f Makefile
